Skip to main content
Stream schedule events (SSE)
curl --request GET \
  --url https://sigmacdd.sabipay.com/cdd/schedules/{executionId}/events \
  --header 'Authorization: <api-key>'
{
  "executionId": "exec_9b12c4f0",
  "group": {
    "_id": "67f51295c2a7d1f2b6e99420",
    "name": "Retail Customers - Lagos"
  },
  "workflow": {
    "_id": "67f4f9b5c2a7d1f2b6e99122",
    "name": "Retail Individual Workflow"
  },
  "counter": {
    "total": 42,
    "completed": 15,
    "successful": 12,
    "flagged": 3
  },
  "customers": [
    {
      "customerId": "67f50d48c2a7d1f2b6e99389",
      "requestId": "67f510d8c2a7d1f2b6e99401",
      "status": "completed"
    }
  ],
  "batches": 3
}

Authorizations

Authorization
string
header
required

Path Parameters

executionId
string
required

Response

200 - application/json

SSE stream established